package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag754;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT754Creator;

/**
 * @author gaosheng
 * @date 2023/3/2
 */
public class Tag71DCreator extends AbsTagCreate {

     private MT754Creator mt754Creator;

    public Tag71DCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt754Creator= (MT754Creator) absMTCreator;
    }

    public void creator()
    {
        String tag71DValue = mt754Creator.getChargesAdded();
        mt754Creator.set("71D", tag71DValue);
    }
}
